﻿@model UsingViewsAndModels_LeoSkadden.Models.Product

@{
	ViewBag.Title = "View";
}

<h2>View</h2>

@using (Html.BeginForm("CreateProduct", "Product", FormMethod.Post, new {enctype = "multipart/form-data"})) 
{
	@Html.AntiForgeryToken()
	
	<div class="form-horizontal">
		<h4>Product</h4>
		<hr />
		@Html.ValidationSummary(true, "", new { @class = "text-danger" })
		<div class="form-group">
			@Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-2" })
			<div class="col-md-10">
				@Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
				@Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
			</div>
		</div>

		<div class="form-group">
			@Html.LabelFor(model => model.Price, htmlAttributes: new { @class = "control-label col-md-2" })
			<div class="col-md-10">
				@Html.EditorFor(model => model.Price, new { htmlAttributes = new { @class = "form-control" } })
				@Html.ValidationMessageFor(model => model.Price, "", new { @class = "text-danger" })
			</div>
		</div>

		<div class="form-group">
			@Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-2" })
			<div class="col-md-10">
				@Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
				@Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
			</div>
		</div>

		<div class="form-group">
			@Html.LabelFor(model => model.Publisher, htmlAttributes: new { @class = "control-label col-md-2" })
			<div class="col-md-10">
				@Html.EditorFor(model => model.Publisher, new { htmlAttributes = new { @class = "form-control" } })
				@Html.ValidationMessageFor(model => model.Publisher, "", new { @class = "text-danger" })
			</div>
		</div>

		<div class="form-group">
			@Html.LabelFor(model => model.Category, htmlAttributes: new { @class = "control-label col-md-2" })
			<div class="col-md-10">
				@Html.EditorFor(model => model.Category, new { htmlAttributes = new { @class = "form-control" } })
				@Html.ValidationMessageFor(model => model.Category, "", new { @class = "text-danger" })
			</div>
		</div>
		
		<div class="form-group">
			@Html.LabelFor(model => model.Category, htmlAttributes: new { @class = "control-label col-md-2"} )
			<div class="col-md-10">
				<input type="file" name="pic" id="Picture"/>
			</div>
		</div>

		<div class="form-group">
			<div class="col-md-offset-2 col-md-10">
				<input type="submit" value="Create" class="btn btn-default" />
			</div>
		</div>
	</div>
}

<div>
	@Html.ActionLink("Back to List", "Index")
</div>
